%global pypi_name tgext.crud

Name:           python-tgext-crud
Version:        0.8.2
Release:        1%{?dist}
Summary:        Crud Controller Extension for TG2

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}/
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description\
Crud Controller Extension for TG2

%description %_description

%package -n python2-tgext-crud
Summary: %summary
Requires:       python2-sprox
Requires:       python2-TurboGears2
%{?python_provide:%python_provide python2-tgext-crud}

%description -n python2-tgext-crud %_description

%package -n python3-tgext-crud
Summary: %summary
Requires:       python3-sprox
Requires:       python3-TurboGears2
%{?python_provide:%python_provide python3-tgext-crud}

%description -n python3-tgext-crud %_description

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-tgext-crud
%defattr(-,root,root,-)
%doc README.rst
%{python2_sitelib}/%{pypi_name}-%{version}-py*
%{python2_sitelib}/tgext/crud/
%exclude %{python2_sitelib}/tests

%files -n python3-tgext-crud
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py*
%{python3_sitelib}/tgext/crud/
%exclude %{python3_sitelib}/tests

%changelog
* Thu May 10 2018 Lumír Balhar <lbalhar@redhat.com> - 0.8.2-1
- New upstream version
- Python 3 subpackage
- Specfile improvements

* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6.0-12
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.0-10
- Python 2 binary package renamed to python2-tgext-crud
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue May 31 2016 Nils Philippsen <nils@redhat.com>
- fix source URL

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 06 2013 Pierre-Yves Chibon <pingou@pingoured>fr - 0.6.0-3
- Change BR from python-setuptools-devel to python-setuptools
  See https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 25 2013 Luke Macken <lmacken@redhat.com> - 0.6.0-1
- Update to 0.6.0 (#953804)

* Tue Apr  9 2013 Luke Macken <lmacken@redhat.com> - 0.5.8-1
- Update to 0.5.8 (#741579)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 16 2011 Luke Macken <lmacken@redhat.com> - 0.3.11-1
- Update to 0.3.11 (#669623)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 07 2010 Luke Macken <lmacken@redhat.com> - 0.3.8-1
- Update to 0.3.8
- Update our sprox & tw.forms requirements

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Dec 14 2009 Luke Macken <lmacken@redhat.com> - 0.3.3-1
- Update to 0.3.3

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 0.2.4-1
- Initial package
